gnutls_dh_params_import_pkcs3(3)

NAME
gnutls_dh_params_import_pkcs3 - This function will import DH params from a pkcs3 structure

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_dh_params_import_pkcs3(gnutls_dh_params_t params, const gnutls_datum_t * pkcs3_params, gnutls_x509_crt_fmt_t format);

ARGUMENTS

gnutls_dh_params_t params
    A structure where the parameters will be copied to

const gnutls_datum_t * pkcs3_params
    should contain a PKCS3 DHParams structure PEM or DER encoded

gnutls_x509_crt_fmt_t format
    the format of params. PEM or DER.

DESCRIPTION
This function will extract the DHParams found in a PKCS3 formatted structure. This is the format generated by "openssl dhparam" tool. If the structure is PEM encoded, it should have a header of "BEGIN DH PARAMETERS". In case of failure a negative value will be returned, and 0 on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.